#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.1
visibility:           public
id:                   lsp-1.2.0.1-7boT2viavMSDNQNFld1AIQ
key:                  lsp-1.2.0.1-7boT2viavMSDNQNFld1AIQ
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  b69864f147f108cadcee228d06af8ccc
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.3.0.1-BGbihOQfGqk4AHnjLRZeST:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.3.0.1-BGbihOQfGqk4AHnjLRZeST:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.3.0.1-BGbihOQfGqk4AHnjLRZeST:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.3.0.1-BGbihOQfGqk4AHnjLRZeST:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.2.0.1-7boT2viavMSDNQNFld1AIQ
depends:
    aeson-1.5.6.0-2S2293OVHlT9T87tqO4MGE
    async-2.2.4-6KBqZB2hivBDO34h1S6aOW
    attoparsec-0.14.4-LMP3CNm1bKfAGlDkrWrjI6 base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-EcFn1KqENcc3dlLa7FIl7R
    dependent-map-0.4.0.0-CBmYyY2Dnen7q3K5S9oPI1 exceptions-0.10.4
    hashable-1.4.0.1-BTNvM8tfYS9gMn15aJ88A
    hslogger-1.3.1.0-EPhVl6WGXBR1yUUv9LQ0Fq
    lens-5.1-Gj7OMBYpWtY7Gg7vO2ef0v
    lsp-types-1.3.0.1-BGbihOQfGqk4AHnjLRZeST mtl-2.2.2
    network-uri-2.6.4.1-4cKtDSNM05x87VGNxEdbBK
    random-1.2.1-A5Ulfz0z0RHF2G56IKAQiN
    scientific-0.3.7.0-LhrLJLv0l28JXo4lZ5SawQ
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R stm-2.5.0.0 text-1.2.5.0
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.18.0-5p1LkGNUihlGGE57L3Yn33
    uuid-1.3.15-3yIEDIpiapiCEW52pCI1jS

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

